commit:     2462c197579aad6281e210bca0067fb0d8354edc
Author:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  8 10:35:02 2021 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Sun Aug  8 13:15:39 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2462c197

net-misc/kea: adapted live ebuild

Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Closes: https://github.com/gentoo/gentoo/pull/21907
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 net-misc/kea/kea-9999.ebuild | 49 ++++++++++++++++++++++++++++++++++++--------
 1 file changed, 40 insertions(+), 9 deletions(-)

diff --git a/net-misc/kea/kea-9999.ebuild b/net-misc/kea/kea-9999.ebuild
index 444f89b948d..7875a3f8860 100644
--- a/net-misc/kea/kea-9999.ebuild
+++ b/net-misc/kea/kea-9999.ebuild
@@ -9,18 +9,22 @@ MY_P="${PN}-${MY_PV}"
 
 DESCRIPTION="High-performance production grade DHCPv4 & DHCPv6 server"
 HOMEPAGE="http://www.isc.org/kea/";
+
+inherit autotools systemd tmpfiles
+
 if [[ ${PV} = 9999* ]] ; then
-       inherit autotools git-r3
+       inherit git-r3
        EGIT_REPO_URI="https://github.com/isc-projects/kea.git";
 else
-       
SRC_URI="https://downloads.isc.org/isc/kea/${MY_PV}/${PN}-${MY_PV}.tar.gz";
+       SRC_URI="ftp://ftp.isc.org/isc/kea/${MY_P}.tar.gz
+               ftp://ftp.isc.org/isc/kea/${MY_PV}/${MY_P}.tar.gz";
        [[ "${PV}" == *_beta* ]] || [[ "${PV}" == *_rc* ]] || \
-               KEYWORDS="~amd64 ~arm64 ~x86"
+       KEYWORDS="~amd64 ~arm64 ~x86"
 fi
 
 LICENSE="ISC BSD SSLeay GPL-2" # GPL-2 only for init script
 SLOT="0"
-IUSE="mysql +openssl postgres samples"
+IUSE="mysql +openssl postgres +samples"
 
 DEPEND="
        dev-libs/boost:=
@@ -40,23 +44,36 @@ S="${WORKDIR}/${MY_P}"
 
 src_prepare() {
        default
-       [[ ${PV} = *9999 ]] && eautoreconf
        # Brand the version with Gentoo
        sed -i \
-               -e "/VERSION=/s:'$: Gentoo-${PR}':" \
-               configure || die
+               -e "s/AC_INIT(kea,${PV}.*, 
[email protected])/AC_INIT(kea,${PVR}-gentoo, [email protected])/g" \
+               configure.ac || die
+
+       sed -i \
+               -e '/mkdir -p $(DESTDIR)${runstatedir}\/${PACKAGE_NAME}/d' \
+               Makefile.am || die "Fixing Makefile.am failed"
+
+       sed -i \
+               -e 's#test -f "$dir/lib/libgtest.a"#test -f 
"$dir/lib64/libgtest.a"#g' \
+               -e 's#test -f "$dir/lib/libgtest.so"#test -f 
"$dir/lib64/libgtest.so"#g' \
+               -e 's GTEST_LDFLAGS="-L$dir/lib GTEST_LDFLAGS="-L$dir/lib64 g' \
+               m4macros/ax_gtest.m4 || die "fixing gtest detection macro 
failed"
+
+       eautoreconf
 }
 
 src_configure() {
        local myeconfargs=(
+               --disable-install-configurations
                --disable-static
                --enable-perfdhcp
                --localstatedir="${EPREFIX}/var"
+               --runstatedir="${EPREFIX}/run"
+               --with-gtest=/usr
                --without-werror
                $(use_with mysql)
                $(use_with openssl)
                $(use_with postgres pgsql)
-               $(use_enable samples install-configurations)
        )
        econf "${myeconfargs[@]}"
 }
@@ -65,7 +82,21 @@ src_install() {
        default
        newconfd "${FILESDIR}"/${PN}-confd-r1 ${PN}
        newinitd "${FILESDIR}"/${PN}-initd-r1 ${PN}
+
+       if use samples; then
+               cp "${FILESDIR}"/kea-ctrl-agent.conf 
"${ED}"/etc/kea/kea-ctrl-agent.conf || die "Could not create 
kea-ctrl-agent.conf"
+               cp "${FILESDIR}"/kea-ddns-server.conf 
"${ED}"/etc/kea/kea-ddns-server.conf || die "Could not create 
kea-ddns-server.conf"
+               cp "${FILESDIR}"/kea-dhcp4.conf "${ED}"/etc/kea/kea-dhcp4.conf 
|| die "Could not create kea kea-dhcp4.conf"
+               cp "${FILESDIR}"/kea-dhcp6.conf "${ED}"/etc/kea/kea-dhcp6.conf 
|| die "Could not create kea-dhcp6.conf"
+       fi
+
+       systemd_dounit "${FILESDIR}/${PN}-ctrl-agent.service"
+       systemd_dounit "${FILESDIR}/${PN}-dhcp4-server.service"
+       systemd_dounit "${FILESDIR}/${PN}-dhcp6-server.service"
+       systemd_dounit "${FILESDIR}/${PN}-dhcp-ddns-server.service"
+
+       newtmpfiles "${FILESDIR}"/${PN}.tmpfiles.conf ${PN}.conf
+
        keepdir /var/lib/${PN} /var/log
-       rm -rf "${ED}"/var/run || die
        find "${ED}" -type f -name "*.la" -delete || die
 }

Reply via email to